import y from "react";
import { __require as C } from "./index-cjs.js";
var o, s;
function E() {
  if (s) return o;
  s = 1;
  var u = y, c = C().default;
  function l(e, t) {
    if (!e || typeof e != "object")
      throw new TypeError("First argument must be an object");
    var r, i, p = typeof t == "function", n = {}, a = {};
    for (r in e) {
      if (i = e[r], p && (n = t(r, i), n && n.length === 2)) {
        a[n[0]] = n[1];
        continue;
      }
      typeof i == "string" && (a[i] = r);
    }
    return a;
  }
  function m(e, t) {
    if (e.indexOf("-") === -1)
      return t && typeof t.is == "string";
    switch (e) {
      // These are reserved SVG and MathML elements.
      // We don't mind this whitelist too much because we expect it to never grow.
      // The alternative is to track the namespace in a few places which is convoluted.
      // https://w3c.github.io/webcomponents/spec/custom/#custom-elements-core-concepts
      case "annotation-xml":
      case "color-profile":
      case "font-face":
      case "font-face-src":
      case "font-face-uri":
      case "font-face-format":
      case "font-face-name":
      case "missing-glyph":
        return !1;
      default:
        return !0;
    }
  }
  var d = { reactCompat: !0 };
  function v(e, t) {
    if (e != null)
      try {
        t.style = c(e, d);
      } catch {
        t.style = {};
      }
  }
  var h = u.version.split(".")[0] >= 16, f = /* @__PURE__ */ new Set([
    "tr",
    "tbody",
    "thead",
    "tfoot",
    "colgroup",
    "table",
    "head",
    "html",
    "frameset"
  ]);
  function T(e) {
    return !f.has(e.name);
  }
  return o = {
    PRESERVE_CUSTOM_ATTRIBUTES: h,
    invertObject: l,
    isCustomComponent: m,
    setStyleProp: v,
    canTextBeChildOfNode: T,
    elementsWithNoTextChildren: f
  }, o;
}
export {
  E as __require
};
